aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Hahler <git@thequod.de>2019-12-02 18:26:40 +0100
committerGitHub <noreply@github.com>2019-12-02 18:26:40 +0100
commit56be9fbde1ec27fd8ca3fdb8eb6adb94b8c33b53 (patch)
treebd146646130464f28852a401df0886fef095ec96
parent0b7a7b23cce8c9eeeaac1a38190fd49e1033625c (diff)
downloadrneovim-56be9fbde1ec27fd8ca3fdb8eb6adb94b8c33b53.tar.gz
rneovim-56be9fbde1ec27fd8ca3fdb8eb6adb94b8c33b53.tar.bz2
rneovim-56be9fbde1ec27fd8ca3fdb8eb6adb94b8c33b53.zip
testdir/runnvim.sh: create messages file always (#11503)
-rwxr-xr-xsrc/nvim/testdir/runnvim.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/nvim/testdir/runnvim.sh b/src/nvim/testdir/runnvim.sh
index 2dcd9150be..72f9254635 100755
--- a/src/nvim/testdir/runnvim.sh
+++ b/src/nvim/testdir/runnvim.sh
@@ -82,6 +82,11 @@ main() {(
fi
if test "$FAILED" = 1 ; then
echo "Test $test_name failed, see output above and summary for more details" >> test.log
+ # When Neovim crashed/aborted it might not have created messages.
+ # test.log itself is used as an indicator to exit non-zero in the Makefile.
+ if ! test -f message; then
+ cp -a test.log messages
+ fi
fi
)}